cURL
curl --request DELETE \ --url https://api.example.com/api/trpc/test-runs.delete
{ "success": true, "deleted_at": "<string>", "deleted_resources": { "screenshots": 123, "videos": 123, "logs": 123 }, "404 Not Found": {}, "401 Unauthorized": {}, "409 Conflict": {} }
Delete a test run and its associated resources
Show properties
curl -X DELETE "https://api.tryiris.dev/api/trpc/test-runs.delete?batch=1&input=%7B%22test_run_id%22%3A%22run_2f3e4d5c6b%22%2C%22delete_artifacts%22%3Atrue%7D" \ -H "Authorization: Bearer ${API_KEY}"
{ "success": true, "deleted_at": "2024-01-20T15:00:00Z", "deleted_resources": { "screenshots": 2, "videos": 1, "logs": 1 } }
{ "error": "not_found", "message": "Test run not found" }
{ "error": "unauthorized", "message": "Invalid API key provided" }
{ "error": "conflict", "message": "Cannot delete an active test run" }